package com.gic.haoban.manage.api.dto;

import java.io.Serializable;

public class QywxCorpInfoSimpleDTO implements Serializable{
	
	private static final long serialVersionUID = 1L;

	private Integer errcode;

	private String errmsg;

	/* 授权方企业微信id */
	private String corpid;

	/* 授权方企业微信名称 */
	private String corpName;

	/* 授权方企业微信类型，认证号：verified, 注册号：unverified */
	private String corpType;

	/* 授权方企业微信方形头像 */
	private String corpSquareLogoUrl;

	/* 授权管理员的userid，可能为空（内部管理员一定有，不可更改） */
	private String userid;

	/* 授权管理员的name，可能为空（内部管理员一定有，不可更改） */
	private String name;

	/* 授权管理员的头像url */
	private String avatar;

	/* 授权方应用id */
	private String agentid;

	/* 授权方应用名字 */
	private String agentName;

	/* 授权方应用方形头像 */
	private String agentSquareLogoUrl;

	/* 授权方应用圆形头像 */
	private String roundLogoUrl;

	/* 授权方（企业）access_token,最长为512字节 */
	private String accessToken;
	
	/* 授权方access_token 更新时间戳 */
	private String updateAccessTokenTimestamp;
	
	/* 企业微信永久授权码,最长为512字节 */
	private String permanentCode;

	/* 应用id */
	private String suiteId;
	
	/* 有效0 删除1 */
	private Integer delStatus = 0;

	/**
	 * 权限等级。
	 * 1:通讯录基本信息只读
	 * 2:通讯录全部信息只读（已废弃）
	 * 3:通讯录全部信息读写
	 * 4:单个基本信息只读
	 * 5:通讯录全部信息只写（已废弃）
	 **/
	private Integer level;

	/**
	 * 是否使用代开发，1：是，0：否
	 */
	private Integer isCustomizedApp;

	public Integer getErrcode() {
		return errcode;
	}

	public void setErrcode(Integer errcode) {
		this.errcode = errcode;
	}

	public String getErrmsg() {
		return errmsg;
	}

	public void setErrmsg(String errmsg) {
		this.errmsg = errmsg;
	}

	public String getCorpid() {
		return corpid;
	}

	public void setCorpid(String corpid) {
		this.corpid = corpid;
	}

	public String getCorpName() {
		return corpName;
	}

	public void setCorpName(String corpName) {
		this.corpName = corpName;
	}

	public String getCorpType() {
		return corpType;
	}

	public void setCorpType(String corpType) {
		this.corpType = corpType;
	}

	public String getCorpSquareLogoUrl() {
		return corpSquareLogoUrl;
	}

	public void setCorpSquareLogoUrl(String corpSquareLogoUrl) {
		this.corpSquareLogoUrl = corpSquareLogoUrl;
	}

	public String getUserid() {
		return userid;
	}

	public void setUserid(String userid) {
		this.userid = userid;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAvatar() {
		return avatar;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	public String getAgentid() {
		return agentid;
	}

	public void setAgentid(String agentid) {
		this.agentid = agentid;
	}

	public String getAgentName() {
		return agentName;
	}

	public void setAgentName(String agentName) {
		this.agentName = agentName;
	}

	public String getAgentSquareLogoUrl() {
		return agentSquareLogoUrl;
	}

	public void setAgentSquareLogoUrl(String agentSquareLogoUrl) {
		this.agentSquareLogoUrl = agentSquareLogoUrl;
	}

	public String getRoundLogoUrl() {
		return roundLogoUrl;
	}

	public void setRoundLogoUrl(String roundLogoUrl) {
		this.roundLogoUrl = roundLogoUrl;
	}

	public String getAccessToken() {
		return accessToken;
	}

	public void setAccessToken(String accessToken) {
		this.accessToken = accessToken;
	}

	public String getUpdateAccessTokenTimestamp() {
		return updateAccessTokenTimestamp;
	}

	public void setUpdateAccessTokenTimestamp(String updateAccessTokenTimestamp) {
		this.updateAccessTokenTimestamp = updateAccessTokenTimestamp;
	}

	public String getPermanentCode() {
		return permanentCode;
	}

	public void setPermanentCode(String permanentCode) {
		this.permanentCode = permanentCode;
	}

	public String getSuiteId() {
		return suiteId;
	}

	public void setSuiteId(String suiteId) {
		this.suiteId = suiteId;
	}

	public Integer getDelStatus() {
		return delStatus;
	}

	public void setDelStatus(Integer delStatus) {
		this.delStatus = delStatus;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

	public Integer getIsCustomizedApp() {
		return isCustomizedApp;
	}

	public void setIsCustomizedApp(Integer isCustomizedApp) {
		this.isCustomizedApp = isCustomizedApp;
	}
}
